︠2c8135e7-c73d-4ac3-93f0-1195060d841c︠
#ezek a rajzolóeljárások

def feluletet_rajzol(phi):
    var('u,v')     
    ps=[parametric_plot3d(phi(*k),(u,0,1),thickness=4,color="red") 
     for k in [[0,u],[1,u],[u,0],[u,1]] ]
    p=parametric_plot3d(phi(u,v),(u,0,1),(v,0,1),mesh=true,opacity=0.6)
    
    #legördülő listából választhatunk, hogy a határ hányadik elemét szeretnénk megjeleniteni
    #illetve egyszerre is kirajzolhatjuk az osszeset
    @interact
    def _(n=selector([0,1,2,3]),osszeset=checkbox(True)):
        if osszeset:
            (p+sum(ps)).show(aspect_ratio=1)#,frame=False)
        else:
            (p+ps[n]).show(aspect_ratio=1)#,frame=False)
            
def tomortestet_rajzol(phi,hatarfelulet):
    var('u,v')
    ps=[parametric_plot3d(phi_gomb(*par),(u,0,1),(v,0,1),color="red") 
     for par in [[0,u,v],[1,u,v],[u,0,v],[u,1,v],[u,v,0],[u,v,1]] ]
    
    p=[parametric_plot3d(phi_gomb(*[[0,u,v],[1,u,v],[u,0,v],[u,1,v],[u,v,0],[u,v,1]][k]),
     (u,0,1),(v,0,1),color="blue",mesh=true,opacity=0.6) for k in hatarfelulet] 
    
    @interact
    def _(n=selector([0,1,2,3,4,5]),osszeset=checkbox(False)):
        if osszeset:
            (sum(p)+sum(ps)).show(aspect_ratio=1)
        else:
            (sum(p)+ps[n]).show(aspect_ratio=1)
            
            
            
#ezek pedig példák cellákra

#körgyűrű
def phi(u,v):
    a=3
    b=4
    return ((a+(b-a)*u)*cos(2*pi*v),(a+(b-a)*u)*sin(2*pi*v),0)

#félgömbfelület
def phi2(u,v):
    R=3
    return (R*sin(pi/2*u)*cos(2*pi*v),R*sin(pi/2*u)*sin(2*pi*v),R*cos(pi/2*u))

#tömör félgömb
def phi_felgomb(u,v,rho):
    R=1
    return (R*rho*sin(pi/2*u)*cos(2*pi*v),R*rho*sin(pi/2*u)*sin(2*pi*v),R*rho*cos(pi/2*u))
︡9bdb6d73-1aff-4362-aded-0254d2010153︡︡
︠008bb49d-1aed-454d-a094-b36058e53b6a︠
tomortestet_rajzol(phi_felgomb,[1,5])
︡09c9660e-8d00-445e-a922-2029e008534b︡{"html": "<!--notruncate--><div padding=6 id=\"div-interact-2\"> <table width=800px height=20px bgcolor=\"#c5c5c5\"\n                 cellpadding=15><tr><td bgcolor=\"#f9f9f9\" valign=top align=left><table>\n<tr><td colspan=3><table><tr><td align=right><font color=\"black\">n&nbsp;</font></td><td><select onchange=\"interact(2, '_interact_.update(\\'2\\', \\'n\\', 27, _interact_.standard_b64decode(\\''+encode64(this.options[this.selectedIndex].value)+'\\'), globals()); _interact_.recompute(\\'2\\');');\"><option value=\"0\" selected>0</option>\n<option value=\"1\" >1</option>\n<option value=\"2\" >2</option>\n<option value=\"3\" >3</option>\n<option value=\"4\" >4</option>\n<option value=\"5\" >5</option>\n</select></td>\n</tr><tr><td align=right><font color=\"black\">osszeset&nbsp;</font></td><td><input type=\"checkbox\"  width=200px onchange=\"interact(2, '_interact_.update(\\'2\\', \\'osszeset\\', 28, _interact_.standard_b64decode(\\''+encode64(this.checked)+'\\'), globals()); _interact_.recompute(\\'2\\');')\"></input></td>\n</tr></table></td></tr>\n<tr><td></td><td style='width: 100%;'><div id=\"cell-interact-2\"><?__SAGE__START>\n        <table border=0 bgcolor=\"white\" width=100%>\n        <tr><td bgcolor=\"white\" align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td><td></td></tr>\n<tr><td colspan=3></td></tr>\n</table></td>\n                 </tr></table></div>\n                 "}︡
︠ec391a19-ded7-4400-8b35-706237892f66︠
feluletet_rajzol(phi2)
︡6fd34b5d-716d-431d-86ab-4f56a8e901b5︡{"html": "<!--notruncate--><div padding=6 id=\"div-interact-3\"> <table width=800px height=20px bgcolor=\"#c5c5c5\"\n                 cellpadding=15><tr><td bgcolor=\"#f9f9f9\" valign=top align=left><table>\n<tr><td colspan=3><table><tr><td align=right><font color=\"black\">n&nbsp;</font></td><td><select onchange=\"interact(3, '_interact_.update(\\'3\\', \\'n\\', 19, _interact_.standard_b64decode(\\''+encode64(this.options[this.selectedIndex].value)+'\\'), globals()); _interact_.recompute(\\'3\\');');\"><option value=\"0\" selected>0</option>\n<option value=\"1\" >1</option>\n<option value=\"2\" >2</option>\n<option value=\"3\" >3</option>\n</select></td>\n</tr><tr><td align=right><font color=\"black\">osszeset&nbsp;</font></td><td><input type=\"checkbox\" checked width=200px onchange=\"interact(3, '_interact_.update(\\'3\\', \\'osszeset\\', 20, _interact_.standard_b64decode(\\''+encode64(this.checked)+'\\'), globals()); _interact_.recompute(\\'3\\');')\"></input></td>\n</tr></table></td></tr>\n<tr><td></td><td style='width: 100%;'><div id=\"cell-interact-3\"><?__SAGE__START>\n        <table border=0 bgcolor=\"white\" width=100%>\n        <tr><td bgcolor=\"white\" align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td><td></td></tr>\n<tr><td colspan=3></td></tr>\n</table></td>\n                 </tr></table></div>\n                 "}︡
